<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celNetworkLinkData Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celNetworkLinkData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celNetworkLinkData" -->
<p>The data about a network link.  
 <a href="classcelNetworkLinkData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="nettypes_8h_source.html">physicallayer/nettypes.h</a>&gt;</code></p>

<p><a href="classcelNetworkLinkData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">celNetworkLinkType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelNetworkLinkData.html#a8024f2bdb503a6ad30a4dc70734ab7aa">link_type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the source of the network link.  <a href="#a8024f2bdb503a6ad30a4dc70734ab7aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelEntity.html">iCelEntity</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelNetworkLinkData.html#a91175864af367acedbb3164d613a867d">linked_entity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The source of the network link.  <a href="#a91175864af367acedbb3164d613a867d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelNetworkLinkData.html#ad8f37a12aa1372769930329382037cfe">period</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The time period between the sending of updates.  <a href="#ad8f37a12aa1372769930329382037cfe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBitArray.html">csBitArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelNetworkLinkData.html#a4c84dd65258bc2dc67625b007a99b151">persistence_mask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A mask to select needed fields of the persistent data that will be sent.  <a href="#a4c84dd65258bc2dc67625b007a99b151"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The data about a network link. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00378">378</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8024f2bdb503a6ad30a4dc70734ab7aa"></a><!-- doxytag: member="celNetworkLinkData::link_type" ref="a8024f2bdb503a6ad30a4dc70734ab7aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">celNetworkLinkType <a class="el" href="classcelNetworkLinkData.html#a8024f2bdb503a6ad30a4dc70734ab7aa">celNetworkLinkData::link_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of the source of the network link. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00384">384</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91175864af367acedbb3164d613a867d"></a><!-- doxytag: member="celNetworkLinkData::linked_entity" ref="a91175864af367acedbb3164d613a867d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt;<a class="el" href="structiCelEntity.html">iCelEntity</a>&gt; <a class="el" href="classcelNetworkLinkData.html#a91175864af367acedbb3164d613a867d">celNetworkLinkData::linked_entity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source of the network link. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00389">389</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad8f37a12aa1372769930329382037cfe"></a><!-- doxytag: member="celNetworkLinkData::period" ref="ad8f37a12aa1372769930329382037cfe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> <a class="el" href="classcelNetworkLinkData.html#ad8f37a12aa1372769930329382037cfe">celNetworkLinkData::period</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The time period between the sending of updates. </p>
<p>A period of 0 means that the link should be updated only once. A period of 1 means that it should be updated it as soon as possible. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00401">401</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4c84dd65258bc2dc67625b007a99b151"></a><!-- doxytag: member="celNetworkLinkData::persistence_mask" ref="a4c84dd65258bc2dc67625b007a99b151" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBitArray.html">csBitArray</a> <a class="el" href="classcelNetworkLinkData.html#a4c84dd65258bc2dc67625b007a99b151">celNetworkLinkData::persistence_mask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A mask to select needed fields of the persistent data that will be sent. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00394">394</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="nettypes_8h_source.html">nettypes.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
